import axios from '@/libs/api.request'

// 人口统计
export const selectGridUserList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/statistics/selectGridUserList',
    method: 'post',
    data: param
  })
}

// 事件统计
export const selectEventCommunityList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/statistics/selectEventCommunityList',
    method: 'post',
    data: param
  })
}

// 房屋统计
export const selectGridBuildingList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/statistics/selectGridBuildingList',
    method: 'post',
    data: param
  })
}

// 物件统计
export const selectGridSubstanceList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/statistics/selectGridSubstanceList',
    method: 'post',
    data: param
  })
}

// 重点人员数量地域统计
export const selectZdryList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/statistics/selectZdryList',
    method: 'post',
    data: param
  })
}

// 重点人员走访次数统计
export const selectVisitList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/statistics/selectVisitList',
    method: 'post',
    data: param
  })
}

// 重点人员类型统计
export const selectFocusGroupList = (param) => {
  return axios.request({
    url: '/api/as/jilinsscgsdp/statistics/selectFocusGroupList',
    method: 'post',
    data: param
  })
}
